# Create label at repo level

Endpoint: POST /code/api/v1/repos/{repo_identifier}/labels
Version: 1.0
Security: x-api-key

## Query parameters:

  - `accountIdentifier` (string, required)
    Account Identifier for the Entity.

  - `orgIdentifier` (string)
    Organization Identifier for the Entity.

  - `projectIdentifier` (string)
    Project Identifier for the Entity.

## Path parameters:

  - `repo_identifier` (string, required)

## Request fields (application/json):

  - `color` (string)
    Enum: "blue", "brown", "cyan", "green", "indigo", "lime", "mint", "orange", "pink", "purple", "red", "violet", "yellow"

  - `description` (string)

  - `key` (string)

  - `type` (string)
    Enum: "dynamic", "static"

## Response 201 fields (application/json):

  - `color` (string)
    Enum: "blue", "brown", "cyan", "green", "indigo", "lime", "mint", "orange", "pink", "purple", "red", "violet", "yellow"

  - `created` (integer)

  - `created_by` (integer)

  - `description` (string)

  - `id` (integer)

  - `key` (string)

  - `pullreq_count` (integer)

  - `repo_id` (integer,null)

  - `scope` (integer)

  - `space_id` (integer,null)

  - `type` (string)
    Enum: "dynamic", "static"

  - `updated` (integer)

  - `updated_by` (integer)

  - `value_count` (integer)

## Response 400 fields (application/json):

  - `message` (string)

  - `values` (object)


